CREATE TABLE PROJET
(
  EXE_ORDRE      NUMBER,
  PJT_LIBELLE     VARCHAR2(250 BYTE),
  PJT_ID       NUMBER                         NOT NULL,
  PJT_ID_PERE  NUMBER,
  TPJT_ID        NUMBER
)
TABLESPACE GFC;


ALTER TABLE PROJET ADD (
  PRIMARY KEY
 (PJT_ID)
    USING INDEX 
    TABLESPACE GFC
);


CREATE TABLE PROJET_CONTRAT
(
  CON_ORDRE       NUMBER,
  PRCO_ID  NUMBER                        NOT NULL,
  PJT_ID        NUMBER
)
TABLESPACE GFC;


ALTER TABLE PROJET_CONTRAT ADD (
  PRIMARY KEY
 (PRCO_ID)
    USING INDEX 
    TABLESPACE GFC
);


CREATE TABLE TYPE_PROJET
(
  TPJT_ID    NUMBER                             NOT NULL,
  TPJT_CODE  VARCHAR2(255 BYTE)
)
TABLESPACE GFC;


ALTER TABLE TYPE_PROJET ADD (
  PRIMARY KEY
 (TPJT_ID)
    USING INDEX 
    TABLESPACE GFC
 );
 

ALTER TABLE PROJET ADD (
  CONSTRAINT FK_PROJET_PERE 
 FOREIGN KEY (PJT_ID_PERE) 
 REFERENCES PROJET (PJT_ID));
 
 CREATE SEQUENCE ACCORDS.PROJET_CONTRAT_SEQ START WITH 1;
 
 CREATE SEQUENCE ACCORDS.PROJET_SEQ START WITH 1;

Insert into accords.TYPE_PROJET (TPJT_ID,TPJT_CODE) values (1,'CONTRATS');
Insert into accords.PROJET(EXE_ORDRE,PJT_LIBELLE,PJT_ID,PJT_ID_PERE,TPJT_ID) values (null,'Contrats',1,null,1);
commit;
